local modUtil = require "merk_modutil_1_1"
require "stringutil"

local options_sahlmmps_t_721 = {
	sahlmmps_t_721_fake = { type = "boolean", default = false, name = _("Fakeversion"), description = _("option_sahlmmps_t_721_fake_desc"), image = "res/textures/ui/models_small/vehicle/waggon/sahlmmps_t_721_fake_leer.tga" },	
}

function data()
return {
	info = {
		minorVersion = 2,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = _("Sahlmmps-t 721"),
		description = _("info_sahlmmps_t_721_desc"),
		tags = { "Europe", "Wagon", },
		authors = {
			{
				name = "Kaleut1988",
				role = "CREATOR",
				text = "3d model, mapping, textures",
				tfnetId = 22532,				
			},
			{
				name = "baubus",
				role = "CO_CREATOR",
				text = "soundset",
				tfnetId = 18332,				
			},
		},
		tfnetId = 2530,                 															-- optional, transportfever.net id
		steamId = 814394516,             															-- optional, steam workshop id
		url = "https://www.transportfever.net/filebase/index.php/Entry/2530-DB-Schenker-Sahlmmps-t-721-TPF/", 	-- optional, URL zur Webseite des Mods
		visible = true
	},
	settings = options_sahlmmps_t_721,
		
	runFn = function(settings)
		modUtil.initialize("kaleut_sahlmmps_t_721", options_sahlmmps_t_721, files)
		local settings = modUtil.userSettings.get("kaleut_sahlmmps_t_721")
		if not settings.sahlmmps_t_721_fake then			
			modUtil.vehicles.hideObject("vehicle/waggon/sahlmmps_t_721_fake_1.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahlmmps_t_721_fake_2.mdl")
			modUtil.vehicles.hideObject("vehicle/waggon/sahlmmps_t_721_fake_leer.mdl")	
			modUtil.vehicles.hideObject("vehicle/waggon/sahlmmps_t_721_fake_voll.mdl")	
		end	
	end
}
end
